package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户协议记录表-一个用户一种协议一个版本一条记录(SysUserContractRecord)表实体类
 *
 * @author hgw
 * @since 2022-05-07 15:21:18
 */
@ApiModel(value = "sys_user_contract_record-用户协议记录表-一个用户一种协议一个版本一条记录")
public class SysUserContractRecord implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("user_id_")
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @TableField("user_type_")
    @ApiModelProperty(value = "用户类型 ")
    private String userType;

    @TableField("contract_id_")
    @ApiModelProperty(value = "协议模板对应的id")
    private Integer contractId;

    @TableField("url_")
    @ApiModelProperty(value = "协议地址")
    private String url;

    @TableField("contract_no_")
    @ApiModelProperty(value = "合同编号")
    private String contractNo;

    @TableField("status_")
    @ApiModelProperty(value = "签署状态 DONG 签署中 SUCCESS 签署完成 FAILED 签署失败")
    private String status;

    @TableField("err_msg_")
    @ApiModelProperty(value = "异常消息")
    private String errMsg;


    @TableField("remark_")
    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public Integer getContractId() {
        return contractId;
    }

    public void setContractId(Integer contractId) {
        this.contractId = contractId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }
}

